Fellow shareholders:

Western Digital performed well in fiscal year 2004 as we produced
revenue growth, continued solid profitability, served our customers with high
quality products, generated cash, and maintained our strong financial
condition. With vigorous discipline and focus on our low-cost business model,
we were able to produce operating income of $155 million.
A 22 percent increase in unit shipments produced 12 percent higher
revenues that reached $3 billion in fiscal 2004. WD continued to be a good
cash-flow producer, generating $190 million in cash from operations and
ending the year with cash totaling $378 million, even after the acquisition of
the Read-Rite Corp. assets and the related expansion of head production.
We completed the Read-Rite acquisition very early in the fiscal year and
set to work immediately to grow head production and conform operations to
WDs processes and systems. Thanks to the smooth, rapid start-up of those
operations in California and Thailand, WD began to realize an earnings
benefit from the operation during the second quarter that continued throughout
the fiscal year.
Conditions were challenging in the hard drive industry for much of the
fiscal year, related primarily to an industry oversupply of product that resulted
in very aggressive pricing and reduced the industrys profitability.
Although far from satisfactory in absolute terms, WDs fiscal year
performance in this environment demonstrated the underlying strength of our
business model, one that we have spent the last four years developing and
fine-tuning. Our approach is to provide highly reliable and high quality
products at price points that enable mass-market adoption while generating
cash and profits. All of our addressable markets are either at mass-market level
or are heading there rapidly. This represents a significant change in the
industry, as in years past the end markets for drives such as notebook personal
computers, handheld consumer products, and enterprise storage were
characterized by relatively low volumes and high prices. We believe these
markets soon will resemble the high-volume desktop segment as consumers
and business buyers demand lower cost points for the products that utilize all
these drives.
These fundamental changes in our markets imply that only those
suppliers with the highest quality and reliability and the absolute lowest total
costs can effectively compete. WD has demonstrated over several years that
our model delivers compelling products with the best quality and reliability
and with low cost. The result is that today WD is ideally positioned in the
hard drive industry with an excellent reputation and favorable cost structure.
At the top end of our served markets, we remain a leading producer of
the highest-performing EIDE and Serial ATA (SATA) hard drives for desktop
personal computers. We are the only manufacturer of a 10,000 RPM SATA
drive, one of the SATA series used increasingly in place of the more costly
SCSI drives in many demanding enterprise and gaming computing
environments. The migration of enterprise customers from SCSI to SATA
technology continues, with WD the primary beneficiary because of our
exclusive focus on SATA and EIDE technology. Industry experts look for
four-year compound annual growth of more than 26 percent in shipments of
desktop-class, EIDE and SATA-interface hard drives in multi-user storage
systems.
In our core market for desktop PC hard drives, we offer capacities
ranging from 40 gigabytes to 250 gigabytes to meet the storage needs of
both consumer and business PC users. Our highest-capacity hard drives are
being used in a wide variety of special applications, ranging from major
search engine servers and security surveillance systems to the restoration of
classic movies.
Just before years end, we began shipping WD Caviar RE (RAID
Edition) hard drives which are manufactured to enterprise-class standards.
They are designed for the highest reliability in a host of server applications
including e-mail, file, video and enterprise backup, document image
management, engineering, and data management.
The rapid growth of demand for portable computers has spurred
development of 2.5-inch WD hard drives that should be ready for market
before the end of calendar year 2004. Our customers requests and our
strategy to advance WDs business model into new high-growth markets are
behind this move.
Successful participation in this marketas in desktop driveswill be by
suppliers able to deliver mass-market product volumes of superior quality and
reliability. WD intends to meet all these tests.
We continue to find new applications for rotating magnetic storage
outside the personal computer market. We remain a key supplier of drives for
personal entertainment customers such as Microsoft, TiVo, Sony, and
Pioneer. We look for steady, long-term growth in the market for personal
video recorders, gaming devices, and other consumer entertainment products.
WD delivered 2.8 million hard drives to manufacturers of these products in
fiscal 2004. These markets are just beginning to exhibit the kind of unit
volume and multiple sourcing opportunities that are characteristic of high
volume, commodity markets.
Albeit not new, the demand is growing for external hard drives as a
convenient and safe storage medium for MP3 files, digital video, and photos,
as well as data backup for PCs. WD offers USB 2.0 and combination USB
2.0/FireWire external drives in capacities ranging from 80 gigabytes to 250
gigabytes to address this growing market.
Another route to revenue growth and greater profitability leads through
further penetration in geographic markets, such as Russia, Eastern Europe, the
Middle East, India, China, and Latin America. These are areas with
significant market growth opportunity, so we have invested in expanded sales
and customer service activities there. These include a service center operation
in Moscow, a new representative office in Beijing, and a service center network
all across India. Access to the wide range of technical services, customer
support, and corporate resources on our Web site is now available in 10 languages.
We also have begun offering in-region telephone support in areas such as
China, Taiwan, Korea, Malaysia, and Thailand to better strengthen our market
position in those locations. We are hopeful that our results from these
investments will be as good as those weve produced in other emerging markets.
For fiscal year 2004, approximately 41 percent of WDs revenue was from
customers in the Americas; 30 percent from Europe, Africa, and the Middle
East; and 29 percent from Asia. We expect this geographic mix to change as the
WD brand grows stronger in emerging markets abroad.
WD products again earned awards and praise from leading trade
publications in 2003 and 2004. Honors include the VARBusiness Annual
Report Card award, PC World magazines World Class and 5 Star Awards,
Computer Master Magazines Diamond Award, PC PowerPlays Power Award,
a Hardware.Info Gold Award, PC User magazines Top Buy Award, a PC Plus
Recommended Product Award, PC Actual magazines Best Buy Award,
Maximum PCs Gear of the Year Award, and a 2003 Readers Choice Award
from Toms Hardware Guide.
WDs financial condition has remained strong, with shareholders equity
closing the year at a five-year high and the cash position growing after the
Read-Rite acquisition. Recognizing the companys ability to generate free cash
flow and our commitment to enhance shareholder value, the Board of Directors
in May authorized the repurchase of up to $100 million of WD common stock.
Since this plan was approved, the company has acquired 4 million shares at a
total cost of $31 million. We may make further purchases from time to time,
consistent with capital needs and market conditions.
Our long-term outlook is good, and our opportunities are many. We aim
to maintain steady, profitable growth in desktop hard drives, further leveraging
our special position as one of the worlds leading suppliers in the industrys
highest-volume market. We will continue to build our market position in hard
drives for enterprise-class applications, personal video recorders, and other
consumer entertainment products. We will make a measured, rational entry
into the mobile personal computer hard drive market. And, we will extend our
design and manufacturing expertise into even smaller form factor drives for
hand-held applications.
Our low-cost model is working, our products are proving attractive, and
our customer relationships are excellent. We have seasoned and enterprising
people, excellent facilities, ample financial resources, and a determination to
work ever harder to secure shareholder value. Many times in the past weve
overcome challenges brought about by aggressive competition. We have never
been better positioned to serve the marketplace and we are confident of our
ability to demonstrate this companys capabilities and resolve again.

Matthew E. Massengill
Chairman and Chief Executive Officer

